Bug 14838 - $(<filename) returns empty string
Summary: $(<filename) returns empty string
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-29 15:45 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-29 15:45:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-07-29 15:45:46 UTC
Getting a string value out of a text file with the "<" character doesn 't 
work, it just returns an empty value. F.i. "echo $(</var/run/atd.pid)" 
gives nada (not even an error), whereas in other distributions, like 
Mandrake, it gives you the contents of the file. As a workaround you can 
use "cat" or something, but it 's bit stupid and slower to call a binary 
to do this. I 've tested this on RH 6.0 and RH 6.2. I 've tried to track 
it down with "strace", but it doesn 't return any value either.

Comment 1 Bernhard Rosenkraenzer 2000-08-03 09:37:04 UTC
This is a bash 2.x specific feature. It's fixed in rawhide by the upgrade to
bash 2.04.


Note You need to log in before you can comment on or make changes to this bug.